library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

library UNISIM;
use UNISIM.VComponents.all;

entity CSA is
	generic (width: integer := 8 );
   port ( A : in   STD_LOGIC_VECTOR (width-1 downto 0);
          B : in   STD_LOGIC_VECTOR (width-1 downto 0);
          Cin : in   STD_LOGIC_VECTOR (width-1 downto 0);
          S : out  STD_LOGIC_VECTOR (width-1 downto 0);
          Cout : out  STD_LOGIC_VECTOR (width   downto 1));
end CSA;

architecture arch_CSA of CSA is
component fac is
	 port ( a : in  STD_LOGIC;
           b : in  STD_LOGIC;
           cin : in  STD_LOGIC;
           s : out  STD_LOGIC;
           cout : out  STD_LOGIC);
end component fac;
begin
	facs: for i in width-1 downto 0 generate
		fac: fac port map(a => A(i),
								b => B(i),
								cin => Cin(i),
								s => S(i),
								cout => Cout(i+1));
	end generate;
end architecture arch_CSA;

