----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    08:38:43 05/16/2008 
-- Design Name: 
-- Module Name:    adder - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity adder is
	 generic (width : integer := 9);
    Port ( A : in  STD_LOGIC_VECTOR (width-1 downto 0);
           B : in  STD_LOGIC_VECTOR (width-1 downto 0);
           S : out  STD_LOGIC_VECTOR (width-1 downto 0);
			  cin: in STD_LOGIC;
			  cout: out STD_LOGIC);
end adder;

architecture simple of adder is
component FAC is
    Port ( a : in  STD_LOGIC;
           b : in  STD_LOGIC;
           cin : in  STD_LOGIC;
           s : out  STD_LOGIC;
           cout : out  STD_LOGIC);
end component FAC;
signal carries: STD_LOGIC_VECTOR (width downto 0);
begin
	carries(0) <= cin;
	facs: for i in width-1 downto 0 generate
		fac: fac port map( a => A(i),
								 b => B(i),
								 cin => carries(i),
								 s => S(i),
								 cout => carries(i+1));
	end generate;
	cout <= carries(width);
end architecture simple;

