VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL data_out
        SIGNAL sck
        SIGNAL rck
        SIGNAL fastclock
        SIGNAL sout(3:0)
        SIGNAL sout(7:4)
        SIGNAL ydec(7:0)
        SIGNAL xdec(7:0)
        SIGNAL mult_lsb(7:0)
        SIGNAL mult_lsb(6:0)
        SIGNAL ydec(6:0)
        SIGNAL mult_msb(7:0)
        SIGNAL mult_msb(6:0)
        SIGNAL sout(7:0)
        SIGNAL xdec(6:0)
        SIGNAL inx(3:0)
        SIGNAL iny(3:0)
        PORT Output data_out
        PORT Output sck
        PORT Output rck
        PORT Input fastclock
        PORT Input inx(3:0)
        PORT Input iny(3:0)
        BEGIN BLOCKDEF my_4digit_module_with_freqdiv
            TIMESTAMP 2008 4 24 19 41 21
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
            RECTANGLE N 64 -320 320 0 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            LINE N 64 -52 80 -32 
            LINE N 80 -32 64 -12 
            LINE N 320 -80 384 -80 
            LINE N 320 -128 384 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF conv4bit_to_7seg
            TIMESTAMP 2008 4 24 23 54 3
            RECTANGLE N 64 -64 368 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF my_4bit_mult
            TIMESTAMP 2008 5 16 6 19 32
            RECTANGLE N 64 -128 320 0 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_5 conv4bit_to_7seg
            PIN in_nibble(3:0) iny(3:0)
            PIN out_7seg(6:0) ydec(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 conv4bit_to_7seg
            PIN in_nibble(3:0) sout(3:0)
            PIN out_7seg(6:0) mult_lsb(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_10 conv4bit_to_7seg
            PIN in_nibble(3:0) sout(7:4)
            PIN out_7seg(6:0) mult_msb(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_1 my_4digit_module_with_freqdiv
            PIN digit0_lsb(7:0) ydec(7:0)
            PIN fastclock fastclock
            PIN rck rck
            PIN digit3(7:0) mult_msb(7:0)
            PIN digit2(7:0) mult_lsb(7:0)
            PIN digit1(7:0) xdec(7:0)
            PIN sck sck
            PIN data_out data_out
        END BLOCK
        BEGIN BLOCK XLXI_6 conv4bit_to_7seg
            PIN in_nibble(3:0) inx(3:0)
            PIN out_7seg(6:0) xdec(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_12 my_4bit_mult
            PIN A(3:0) inx(3:0)
            PIN B(3:0) iny(3:0)
            PIN M(7:0) sout(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH data_out
            WIRE 1632 1056 1664 1056
        END BRANCH
        BEGIN BRANCH sck
            WIRE 1632 1104 1664 1104
        END BRANCH
        BEGIN BRANCH rck
            WIRE 1632 1152 1664 1152
        END BRANCH
        BEGIN BRANCH fastclock
            WIRE 1216 1152 1248 1152
        END BRANCH
        IOMARKER 1664 1056 data_out R0 28
        IOMARKER 1664 1104 sck R0 28
        IOMARKER 1664 1152 rck R0 28
        IOMARKER 1216 1152 fastclock R180 28
        BEGIN INSTANCE XLXI_9 576 1056 R0
        END INSTANCE
        BEGIN BRANCH sout(3:0)
            WIRE 464 1024 496 1024
            WIRE 496 1024 576 1024
            BEGIN DISPLAY 496 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_10 576 1184 R0
        END INSTANCE
        BEGIN BRANCH sout(7:4)
            WIRE 464 1152 512 1152
            WIRE 512 1152 576 1152
            BEGIN DISPLAY 512 1152 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1 1248 1184 R0
        END INSTANCE
        BEGIN BRANCH ydec(7:0)
            WIRE 1200 272 1200 288
            WIRE 1200 288 1200 896
            WIRE 1200 896 1248 896
        END BRANCH
        BUSTAP 1200 288 1104 288
        BEGIN BRANCH xdec(7:0)
            WIRE 1168 384 1168 416
            WIRE 1168 416 1168 960
            WIRE 1168 960 1248 960
        END BRANCH
        BEGIN BRANCH mult_lsb(7:0)
            WIRE 1168 992 1168 1008
            WIRE 1168 1008 1168 1024
            WIRE 1168 1024 1248 1024
        END BRANCH
        BUSTAP 1168 1008 1072 1008
        BEGIN BRANCH mult_lsb(6:0)
            WIRE 1008 1024 1040 1024
            WIRE 1040 1008 1040 1024
            WIRE 1040 1008 1072 1008
        END BRANCH
        BEGIN BRANCH ydec(6:0)
            WIRE 1040 288 1104 288
        END BRANCH
        BEGIN BRANCH mult_msb(7:0)
            WIRE 1168 1056 1168 1072
            WIRE 1168 1072 1168 1088
            WIRE 1168 1088 1248 1088
        END BRANCH
        BUSTAP 1168 1072 1072 1072
        BEGIN BRANCH mult_msb(6:0)
            WIRE 1008 1152 1040 1152
            WIRE 1040 1072 1040 1152
            WIRE 1040 1072 1072 1072
        END BRANCH
        IOMARKER 240 288 iny(3:0) R180 28
        BUSTAP 368 1024 464 1024
        BUSTAP 368 1152 464 1152
        BEGIN BRANCH sout(7:0)
            WIRE 304 944 448 944
            WIRE 304 944 304 1088
            WIRE 304 1088 304 1232
            WIRE 304 1232 368 1232
            WIRE 368 1008 368 1024
            WIRE 368 1024 368 1152
            WIRE 368 1152 368 1232
            WIRE 448 864 448 944
            BEGIN DISPLAY 304 1088 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1168 416 1072 416
        BEGIN BRANCH xdec(6:0)
            WIRE 1040 416 1072 416
        END BRANCH
        BEGIN BRANCH inx(3:0)
            WIRE 240 416 448 416
            WIRE 448 416 608 416
            WIRE 448 416 448 480
        END BRANCH
        IOMARKER 240 416 inx(3:0) R180 28
        BEGIN INSTANCE XLXI_6 608 448 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_5 608 320 R0
        END INSTANCE
        BEGIN BRANCH iny(3:0)
            WIRE 240 288 368 288
            WIRE 368 288 368 464
            WIRE 368 464 384 464
            WIRE 384 464 384 480
            WIRE 368 288 608 288
        END BRANCH
        BEGIN INSTANCE XLXI_12 352 480 R90
        END INSTANCE
    END SHEET
END SCHEMATIC
